Gallery Platform API
Reference

Get a list's catalogue content

Returns the list's catalogue-PDF content (subtitle, exhibition run, venue, cover override, markdown foreword and colophon). All fields are null until first saved.

GET
/gallery/lists/{listId}/catalogue

Returns the list's catalogue-PDF content (subtitle, exhibition run, venue, cover override, markdown foreword and colophon). All fields are null until first saved.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Path Parameters

listId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "subtitle": "string",  "starts_on": "string",  "ends_on": "string",  "venue": "string",  "cover_image_path": "string",  "foreword": "string",  "colophon": "string",  "updated_at": "string"}